SVG Patterns: References to SVG files should start with pattern/symbol repository when paths are
set to relative
Assignee: nobody -
Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13214
Description

For SVG pattern fills, currently, the paths are stored relatively to the project file and not relatively to the symbol/pattern repository.
This makes it harder to move projects to a server or different machine that may have a different file/path layout.
It would be good if it could be implemented the same way like SVG symbols:
Current relative behavior with symbols:
<pointsymbol>svg:/abwasser/Oelabscheider_Mischwasser.svg</pointsymbol>
Current relative behavior with patterns:
<layer pass="0" class="SVGFill" locked="0" >
<prop k="svgFile"
v="../../qgis/patterns/use_zone_plan/wohnzone_mit_gewerbeerleichterung_1_satz_w2_40_wohnzone_2_geschossig.svg" />
<prop k="width" v="20" />

</layer>

| think the "relative” paths should be stored absolutely, but starting from the pattern/symbol repository, with the svg:/ syntax.

History

#1 - 2010-10-31 10:13 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:2ba62274 (SVN r14464)

#2 - 2010-11-01 03:16 AM - Andreas Neumann
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

| tested this fix on Linux. It works with paths relative from the default system (/usr/local/share/qgis/svg) but not from user-specified paths, set in "Options"
--> "Rendering & SVG" --> "SVG paths".

2024-04-10 12




It would be great if this could work with user-defined paths as well.

In my tests QGIS introduced absolute paths in the .qgs project file, instead of relative ones when picking SVG symbols from a user defined SVG directory.

#3 - 2010-11-05 09:20 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Feedback to Closed

Should be fixed in
